class StockBlock < ApplicationRecord
  
  belongs_to :stockable, :polymorphic => true
  belongs_to :admin
  
  has_many :stock_lines
  accepts_nested_attributes_for :stock_lines, allow_destroy: true
  
end
