class AddNavToPProducts < ActiveRecord::Migration[6.0]
  def change
    add_column :p_products, :description, :text
    add_column :p_products, :imported, :boolean, :default => false
    add_column :p_products, :nav_vendor_no, :string
    add_column :p_products, :nav_vendor_item_no, :string
    
    add_column :p_products, :nav_base_unit_of_measure, :string
    add_column :p_products, :nav_price_unit_convertion, :string
    add_column :p_products, :nav_item_disc_group, :string
    add_column :p_products, :nav_costing_method, :string
    add_column :p_products, :nav_unit_price, :string

    add_column :p_products, :nav_lead_time_calculation, :string
    add_column :p_products, :nav_last_date_modified, :string
    add_column :p_products, :nav_blocked, :string
    add_column :p_products, :nav_global_dimension_2_code, :string
    add_column :p_products, :nav_vat_bus_posting_group, :string
    add_column :p_products, :nav_no_series, :string
    add_column :p_products, :nav_rolled_up_material_cost, :string
    add_column :p_products, :sales_unit_of_measure, :string
    add_column :p_products, :purch_unit_of_measure, :string
    

    add_column :p_products, :nav_reordering_policy, :string
    add_column :p_products, :nav_include_inventory, :string
    add_column :p_products, :nav_item_category_code, :string
    add_column :p_products, :nav_item_type, :string
    add_column :p_products, :nav_workshop, :string
    
  end
end
