class AddNavToSProjects < ActiveRecord::Migration[6.0]
  def change
    add_column :s_projects, :p_customer_id, :integer
    add_column :s_projects, :nav_principal, :string
    add_column :s_projects, :nav_project_number, :string
    add_column :s_projects, :p_number, :string
    add_column :s_projects, :p_index, :integer
    add_column :s_projects, :p_year, :integer
    add_column :s_projects, :p_month, :integer
    add_column :s_projects, :nav_contract_amount, :decimal,   :precision => 14,   :scale => 4
    add_column :s_projects, :nav_invoice_text_installments, :text
    add_column :s_projects, :nav_order_no_customer, :string
    add_column :s_projects, :nav_main_project_no, :string
    
    add_column :s_projects, :nav_creation_date, :datetime
    add_column :s_projects, :nav_starting_date, :datetime
    add_column :s_projects, :nav_ending_date, :datetime
    add_column :s_projects, :nav_last_modified_date, :datetime
    add_column :s_projects, :nav_technical_finished_date, :datetime
    add_column :s_projects, :nav_commission_principal_date, :datetime
    add_column :s_projects, :nav_last_invoice_date, :datetime
    add_column :s_projects, :nav_livraison_client_date, :datetime
    
     
    
    add_column :s_projects, :nav_project_type, :string
    add_column :s_projects, :nav_estimate_no, :string
    add_column :s_projects, :nav_site_production, :string
    add_column :s_projects, :nav_project_status, :string
    
    
    
    
  end
end
