class AddInfosToPriceLines < ActiveRecord::Migration[6.0]
  def change

    
    
    add_column :price_lines, :cc_caution, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :cc_credits, :decimal,   :precision => 14,   :scale => 2  
    add_column :price_lines, :cc_permis_b, :boolean
    add_column :price_lines, :cc_stage_remorque, :boolean
    add_column :price_lines, :cc_permis_remorque, :boolean
    add_column :price_lines, :cc_carburant, :boolean
    add_column :price_lines, :cc_carburant_type, :string
    add_column :price_lines, :cc_carburant_price, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :cc_carburant_mention, :boolean
    add_column :price_lines, :cc_carburant_reservoir, :integer,   :precision => 14,   :scale => 2
    add_column :price_lines, :cc_age_min, :integer
    add_column :price_lines, :cc_cg, :boolean
    add_column :price_lines, :cc_accessoires, :text
    
    
    add_column :price_lines, :ac_caution, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :ac_credits, :decimal,   :precision => 14,   :scale => 2  
    add_column :price_lines, :ac_permis_b, :boolean
    add_column :price_lines, :ac_stage_remorque, :boolean
    add_column :price_lines, :ac_permis_remorque, :boolean
    add_column :price_lines, :ac_carburant, :boolean
    add_column :price_lines, :ac_carburant_type, :string
    add_column :price_lines, :ac_carburant_price, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :ac_carburant_mention, :boolean
    add_column :price_lines, :ac_carburant_reservoir, :integer,   :precision => 14,   :scale => 2
    add_column :price_lines, :ac_age_min, :integer
    add_column :price_lines, :ac_cg, :boolean
    add_column :price_lines, :ac_accessoires, :text
    
    add_column :price_lines, :ct_caution, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :ct_credits, :decimal,   :precision => 14,   :scale => 2  
    add_column :price_lines, :ct_permis_b, :boolean
    add_column :price_lines, :ct_stage_remorque, :boolean
    add_column :price_lines, :ct_permis_remorque, :boolean
    add_column :price_lines, :ct_carburant, :boolean
    add_column :price_lines, :ct_carburant_type, :string
    add_column :price_lines, :ct_carburant_price, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :ct_carburant_mention, :boolean
    add_column :price_lines, :ct_carburant_reservoir, :integer,   :precision => 14,   :scale => 2
    add_column :price_lines, :ct_age_min, :integer
    add_column :price_lines, :ct_cg, :boolean
    add_column :price_lines, :ct_accessoires, :text
    
    add_column :price_lines, :cc_ship_price_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :ac_ship_price_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :price_lines, :ct_ship_price_ht, :decimal,   :precision => 14,   :scale => 2
    
    add_column :price_lines,:start_at, :datetime
    add_column :price_lines,:end_at, :datetime
    add_column :price_lines,:ship_at, :datetime
    add_column :price_lines,:return_at, :datetime
    
  
  
  end
end
