class AddLocInfosToPProducts < ActiveRecord::Migration[6.0]
  def change
    add_column :p_products, :caution, :decimal
    add_column :p_products, :price_day_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :p_products, :credit_day, :integer,   :precision => 14,   :scale => 2
    add_column :p_products, :price_we_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :p_products, :price_min_ht, :decimal,   :precision => 14,   :scale => 2
    add_column :p_products, :serial_no, :string
    add_column :p_products, :buy_at, :date
    add_column :p_products, :producted_at, :date
    add_column :p_products, :product_name, :string
    add_column :p_products, :permis_b, :boolean
    add_column :p_products, :stage_remorque, :boolean
    add_column :p_products, :permis_remorque, :boolean
    add_column :p_products, :weight, :decimal,   :precision => 14,   :scale => 2
    add_column :p_products, :carburant, :boolean
    add_column :p_products, :carburant_type, :string
    add_column :p_products, :carburant_price, :decimal,   :precision => 14,   :scale => 2
    add_column :p_products, :carburant_mention, :boolean
    add_column :p_products, :carburant_reservoir, :integer,   :precision => 14,   :scale => 2
    add_column :p_products, :age_min, :integer
    add_column :p_products, :cg, :boolean
    add_column :p_products, :accessoires, :text
  end
end
